function rapapInitTabQueryParam(tabEls) {
  const TAB_QUERY_PARAM_NAME = 'tab';
  tabEls.forEach(tabEl => {
    const tabBtnEls = tabEl.querySelectorAll('button[data-bs-toggle="tab"]');

    tabBtnEls.forEach(tabBtnEl => {
      tabBtnEl.addEventListener('shown.bs.tab', event => {
        updateQueryParamTab(event.target.id);
      });
    });
    
    function updateQueryParamTab(tabVal) {
      const url = new URL(window.location.href);
      url.searchParams.set(TAB_QUERY_PARAM_NAME, tabVal);
      history.replaceState(history.state, '', url.href);
    }
  });
}

(function() {
  const tabEls = document.querySelectorAll('.tab-query-param');
  rapapInitTabQueryParam(tabEls);
})();
